View Single Post
Old 07-31-2019, 01:18 AM   #640
Ameliance SkyMusic
Human being with feelings
 
Ameliance SkyMusic's Avatar
 
Join Date: Mar 2018
Location: Ukraine
Posts: 111
Default

Help!
After I re-installed Windows 10 I can not install the gem reapack, the same thing with another guy.
Before reinstalling, installed Windows 10 and everything worked successfully for over a year.
Code:
C:\WINDOWS\system32>gem install reapack-index
Fetching addressable-2.6.0.gem
Fetching colorize-0.8.1.gem
Fetching public_suffix-3.1.1.gem
Fetching gitable-0.4.0.gem
Fetching metaheader-1.3.1.gem
Fetching mini_portile2-2.4.0.gem
Fetching nokogiri-1.10.3-x64-mingw32.gem
Fetching pandoc-ruby-2.0.2.gem
Fetching rugged-0.28.2.gem
Fetching stable_sort-1.1.0.gem
Fetching reapack-index-1.2.2.gem
Successfully installed public_suffix-3.1.1
Successfully installed addressable-2.6.0
Successfully installed colorize-0.8.1
Successfully installed gitable-0.4.0
Successfully installed metaheader-1.3.1
Successfully installed mini_portile2-2.4.0
Nokogiri is built with the packaged libraries: libxml2-2.9.9, libxslt-1.1.33, zlib-1.2.11, libiconv-1.15.
Successfully installed nokogiri-1.10.3-x64-mingw32
Successfully installed pandoc-ruby-2.0.2
Temporarily enhancing PATH for MSYS/MINGW...
Building native extensions. This could take a while...
ERROR:  Error installing reapack-index:
        ERROR: Failed to build gem native extension.

    current directory: C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/rugged-0.28.2/ext/rugged
C:/Ruby26-x64/bin/ruby.exe -I C:/Ruby26-x64/lib/ruby/2.6.0 -r ./siteconf20190729-12992-1cn3h7t.rb extconf.rb
checking for make... yes
checking for cmake... yes
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options.

Provided configuration options:
        --with-opt-dir
        --without-opt-dir
        --with-opt-include
        --without-opt-include=${opt-dir}/include
        --with-opt-lib
        --without-opt-lib=${opt-dir}/lib
        --with-make-prog
        --without-make-prog
        --srcdir=.
        --curdir
        --ruby=C:/Ruby26-x64/bin/$(RUBY_BASE_NAME)
        --with-sha1dc
        --without-sha1dc
        --use-system-libraries
extconf.rb:33:in `spawn': wrong exec option symbol: pgroup (ArgumentError)
        from extconf.rb:33:in `run_cmake'
        from extconf.rb:104:in `block (2 levels) in <main>'
        from extconf.rb:101:in `chdir'
        from extconf.rb:101:in `block in <main>'
        from extconf.rb:98:in `chdir'
        from extconf.rb:98:in `<main>'

To see why this extension failed to compile, please check the mkmf.log which can be found here:

  C:/Ruby26-x64/lib/ruby/gems/2.6.0/extensions/x64-mingw32/2.6.0/rugged-0.28.2/mkmf.log

extconf failed, exit code 1

Gem files will remain installed in C:/Ruby26-x64/lib/ruby/gems/2.6.0/gems/rugged-0.28.2 for inspection.
Results logged to C:/Ruby26-x64/lib/ruby/gems/2.6.0/extensions/x64-mingw32/2.6.0/rugged-0.28.2/gem_make.out
Ameliance SkyMusic is offline   Reply With Quote